Bug 756084 (CVE-2011-4347)

Summary: CVE-2011-4347 kernel: kvm: device assignment DoS
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: alex.williamson, areis, arozansk, chrisw, dhoward, ehabkost, fhrbata, jen, jrieden, kernel-mgr, knoel, lcapitulino, lwang, mkenneth, mtosatti, nobody, pmatouse, tburke, virt-maint, wnefal+redhatbugzilla
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20111120,reported=20111120,source=researcher,cvss2=4/AV:L/AC:H/Au:N/C:N/I:N/A:C,rhel-4/kernel=notaffected,rhel-5/kvm=affected,rhel-6/kernel=affected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=affected,rhel-6.1.z/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-18 07:58:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 756092, 756093, 770094, 770095, 770096, 770097, 770098, 771678, 816630    
Bug Blocks: 755387    

Description Petr Matousek 2011-11-22 11:41:57 EST
It was found that kvm_vm_ioctl_assign_device function did not check if the user requesting assignment was privileged or not. Together with /dev/kvm being 666, unprivileged user could assign unused pci devices, or even devices that were in use and whose resources were not properly claimed by the respective drivers.

Please note that privileged access was still needed to re-program the device to for example issue DMA requests. This is typically achieved by touching files on sysfs filesystem. These files are usually not accessible to unprivileged users.

As a result, local user could use this flaw to crash the system.

Reference:
http://thread.gmane.org/gmane.comp.emulators.kvm.devel/82043

Acknowledgements:

Red Hat would like to thank Sasha Levin for reporting this issue.
Comment 6 Petr Matousek 2011-12-23 06:05:58 EST
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 770096]
Comment 7 Petr Matousek 2012-01-18 16:03:36 EST
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4 and Red Hat Enterprise MRG as they did not provide support for the KVM subsystem. This has been addressed in Red Hat Enterprise Linux 6 via https://rhn.redhat.com/errata/RHSA-2012-0350.html. A future kvm update in Red Hat Enterprise 5 may address this flaw.
Comment 8 errata-xmlrpc 2012-02-20 22:15:26 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0149 https://rhn.redhat.com/errata/RHSA-2012-0149.html
Comment 10 errata-xmlrpc 2012-03-06 13:45:00 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0350 https://rhn.redhat.com/errata/RHSA-2012-0350.html
Comment 12 errata-xmlrpc 2012-06-26 14:41:28 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.1 EUS - Server Only

Via RHSA-2012:1042 https://rhn.redhat.com/errata/RHSA-2012-1042.html